Name:           tuxedo-touchpad-switch
Version:        1.0.9
Release:        1%{?dist}
Summary:        Userspace driver to toggle touchpads on TongFang/Uniwill laptops

License:        GPL-3.0
URL:            https://tuxedocomputers.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  systemd-devel
BuildRequires:  glib2-devel

%description
Toggles the touchpad and the attached disabled-LED on Uniwill/Tongfang laptops.
Provides a userspace driver that listens to config changes of the touchpad
enabled/disabled state in the xsession and sends appropriate commands to
/dev/hidraw* to appropiratly synchronize the hardware state. The LED on
Uniwill/Tongfang laptops touchpads is hardwired to that HID state, so this
package toggles this LED correctly.

%prep
%setup -q
%cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr


%build
%cmake_build


%install
%cmake_install


%files
%defattr(-,root,root,-)
/usr/bin/tuxedo-touchpad-switch
/usr/lib/udev/rules.d/99-tuxedo-touchpad-switch.rules
%attr(444,root,root) /etc/tuxedo-touchpad-switch-lockfile
/usr/share/gdm/greeter/autostart/tuxedo-touchpad-switch.desktop
/etc/xdg/autostart/tuxedo-touchpad-switch.desktop


%changelog
* Wed Nov 06 2024 kallepm
- Update to v1.0.9
* Sat Aug 10 2024 kallepm
- Update to v1.0.8
* Thu Nov 16 2023 kallepm
- Initial build
